Bug 1253103 - system's old disk records are not properly deleted when they change
system's old disk records are not properly deleted when they change
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: general (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 21.0
: ---
Assigned To: Dan Callaghan
tools-bugs
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 21:09 EDT by Dan Callaghan
Modified: 2015-08-26 02:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-26 02:17:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2015-08-12 21:09:28 EDT
The latest version of beaker-system-scan has changed the value of the "model" column for disks in some cases (see bug 1247464 about that).

A system which previously had two disk rows:

Disks
Model 	Size 	Logical sector size 	Physical sector size
HP 73.4G ST373453LC 	73.41 GB / 68.37 GiB 	512 bytes 	512 bytes
HP 73.4G ST373453LC 	73.41 GB / 68.37 GiB 	512 bytes 	512 bytes 

was updated to have two new disks with different models, which should have been:

Disks
Model 	Size 	Logical sector size 	Physical sector size
ST373453LC 	73.41 GB / 68.37 GiB 	512 bytes 	512 bytes
ST373453LC 	73.41 GB / 68.37 GiB 	512 bytes 	512 bytes 

but instead we get:

Disks
Model 	Size 	Logical sector size 	Physical sector size
HP 73.4G ST373453LC 	73.41 GB / 68.37 GiB 	512 bytes 	512 bytes
ST373453LC 	73.41 GB / 68.37 GiB 	512 bytes 	512 bytes
ST373453LC 	73.41 GB / 68.37 GiB 	512 bytes 	512 bytes 

Beaker is failing to correctly delete the old rows when they are removed from the uploaded inventory data.
Comment 2 Dan Callaghan 2015-08-19 20:55:34 EDT
http://gerrit.beaker-project.org/4358
Comment 4 Dan Callaghan 2015-08-21 01:17:19 EDT
Steps to verify:
1. Run a hardware scan on a system with more than one disk (click Scan on Hardware Details tab).
2. Check that the correct disks are shown on the Hardware Details tab after the scan finishes successfully. There should be not extra disks shown.
Comment 8 Dan Callaghan 2015-08-26 02:17:16 EDT
Beaker 21.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.